﻿using BPA.Helper;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace HKCardManager
{
    public partial class InstitutionalEntry : Form
    {
        public InstitutionalEntry()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (string.IsNullOrEmpty(textBox1.Text))
            {
                label2.Text = "机构名不能为空";
                return;
            }
            if (Json<LocalPar>.Data.InstitutionsInfo.Contains(textBox1.Text.Trim()))
            {
                label2.Text = "机构已存在";
                return;
            }
            Task.Factory.StartNew(() =>
            {
                if (BaseHelper.GetInstance.AddInstitutions())
                {
                    Json<LocalPar>.Data.InstitutionsInfo.Add(textBox1.Text.Trim());
                    Json<LocalPar>.Save();
                    this.Invoke(() => { this.Close(); });
                }
                else
                {
                    this.Invoke(() => { label2.Text = "添加失败，请重试"; });
                }
            });

        }
    }
}
